/*
  Copyright 1996-2000
  Simon Whiteside

* $Id: TraceCallback.java,v 1.3 2000/09/04 20:01:47 sdw Exp $
*/

package simkin;

/**
 * This interface is implemented by objects which provide a tracing facility for ExecutableRoot.
 */
public interface TraceCallback {
    /** 
     * this method is called when objects derived from ExecutableRoot wish to generate a trace message.
     */
    public void trace(String s);
}
